
// DllTestDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CDllTestDlg dialog
class CDllTestDlg : public CDialogEx
{
// Construction
public:
	CDllTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DLLTEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonDiscovery();
private:
	CListBox m_lbDevices;

	bool	m_fInit;
	LPVOID	m_Handle;

	void ShowError(CString str, int iRes);
	
public:
	afx_msg void OnBnClickedButtonCreate();
	afx_msg void OnBnClickedButtonDestroy();
	afx_msg void OnBnClickedButtonConnect();
	afx_msg void OnBnClickedButtonDisconnect();
	afx_msg void OnBnClickedButtonInit();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedButtonUninit();
	afx_msg void OnBnClickedButtonRead();
};
